Firmware update fail

camdarley's picture

Hi guys,
I’m trying to update the 1.40 firmware on my two ActiveStorage (AC16SFC01) with the activeadmin CLI tool.
When I launch the update, this message pops: "The controller's boot ROM version must be at least “1.04” to apply this update."
Also, all "array", "lun" or "group" commands doesn’t works, it says "Operation failed (FFFFFFFF)"
My current firmware version is 1.10 and the bottom is 1.03
The ActiveRAID firmware updater doesn't manage to connect either: "Operation failed (FFFFFFFF)"

Thanks for your help

camdarley's picture

The strange thing is that the ActiveRAID Admin software worked few years ago.
I tried to launch from virtual machine with OSX 10.5, then 10.6, on 32 or 64bits but I still get the same message: "Operation failed (FFFFFFFF)"
Some functions work with cli: password --reset allowed me to reset the password to active. "info" worked too.
I thinks it could be the activeadmin or ActiveRAID Admin files which are too recent to connect to the old boot ROM...